<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
TransactionAppliedStatus Enumeration
See Also Send Feedback

Status values from transaction application checking operations.

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.28.0

# Syntax

C#

    public enum TransactionAppliedStatus

Visual Basic (Declaration)

    Public Enumeration TransactionAppliedStatus

Visual C++

    public enum class TransactionAppliedStatus

# Members

| Member name | Description
--- | --- | ---
| APPLIED | The transaction has been applied on the current replica node.
| TIMEOUT | The transaction has not yet been applied on this replica node.
| EMPTY_TRANSACTION | The transaction did not update the database.
| NOTFOUND | No such transaction found in the replication group.

# See Also

BerkeleyDB Namespace